%define _use_internal_dependency_generator 0
%define	srcver		6.2.51

%define	pkg		mew
%define	pkgname		Mew

%if %($(pkg-config emacs) ; echo $?)
%define	emacs_version	22.1
%define	emacs_lispdir	%{_datadir}/emacs/site-lisp
%define	emacs_startdir	%{_datadir}/emacs/site-lisp/site-start.d
%else
%define	emacs_version	%(pkg-config emacs --modversion)
%define	emacs_lispdir	%(pkg-config emacs --variable sitepkglispdir)
%define	emacs_startdir	%(pkg-config emacs --variable sitestartdir)
%endif

Name:			emacs-%{pkg}
Version:		6.2.51
Release:		4%{?dist}
Summary:		Email client for GNU Emacs

Group:			Applications/Internet
License:		BSD
URL:			http://www.mew.org/
#Source0:		ftp://ftp.mew.org/pub/Mew/mew-%{version}.tar.gz
#Source0:		http://www.mew.org/Release/mew-%{srcver}.tar.gz
Source0:		http://www.mew.org/Beta/mew-%{srcver}.tar.gz
Source1:		mew-init.el

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		emacs emacs-el
Requires:		emacs(bin) >= %{emacs_version}
Requires:		ruby(abi) = 1.8
Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info
Provides:		mew = %{version}-%{release}, mew-common = %{version}-%{release}
Obsoletes:		mew < 6.2-1, mew-common < 6.2-1, mew-xemacs < 6.2-1

%description
Mew provides a very easy user interface to email, MIME and PGP
(Pretty Good Privacy) on the Emacs and the Editors derived from
the Emacs and so on.

%package el
Summary:		Elisp source files for %{pkgname} under GNU Emacs
Group:			Applications/Internet
Requires:		%{name} = %{version}-%{release}
Obsoletes:		mew < 6.2-1

%description el
This package contains the elisp source files for %{pkgname} under GNU Emacs. You
do not need to install this package to run %{pkgname}. Install the %{name}
package to use %{pkgname} with GNU Emacs.


%prep
%setup -q -n %{pkg}-%{srcver}

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

install -dm 0755 $RPM_BUILD_ROOT%{_bindir}
install -dm 0755 $RPM_BUILD_ROOT%{_infodir}
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -dm 0755 $RPM_BUILD_ROOT%{emacs_lispdir}
install -dm 0755 $RPM_BUILD_ROOT%{emacs_startdir}


#
make	prefix=%{_prefix} \
	CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/emacs \
	elispdir=%{emacs_lispdir}/%{pkg} \
	etcdir=%{_datadir}/pixmaps/Mew
make EMACS=/usr/bin/emacs infodir=%{_infodir} info
make EMACS=/usr/bin/emacs infodir=%{_infodir} jinfo

make install DESTDIR=$RPM_BUILD_ROOT \
	elispdir=%{emacs_lispdir}/%{pkg} \
	etcdir=%{_datadir}/pixmaps/Mew

make install-jinfo	\
	infodir=$RPM_BUILD_ROOT%{_infodir}

install -pm 0644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{emacs_startdir}

# Fixed detect an invalid file dependent.
(cd $RPM_BUILD_DIR/%{pkg}-%{srcver}/contrib && \
	for i in *; do \
		sed -e s,/usr/local/bin/perl,/usr/bin/perl,g $i > $i.new && mv $i.new $i; \
	done \
)
chmod a-x $RPM_BUILD_DIR/%{pkg}-%{srcver}/contrib/*
# Update permissions
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/*

# clean the unnecessary files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/mew.info.gz \
	%{_infodir}/dir --section="Message User Agent" || :
/sbin/install-info %{_infodir}/mew.jis.info.gz \
	%{_infodir}/dir --section="Message User Agent" || :

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/mew.info.gz \
  	%{_infodir}/dir --section="Message User Agent" || :
  /sbin/install-info --delete %{_infodir}/mew.jis.info.gz \
  	%{_infodir}/dir --section="Message User Agent" || :
fi


%files 
%defattr (-, root, root, -)
%doc 00changes* 00copyright 00diff 00readme 00api mew.dot.emacs mew.dot.mew mew.dot.theme contrib/
%lang(ja) %doc 00copyright.jis
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/*.el
%dir %{emacs_lispdir}/%{pkg}
%dir %{_datadir}/pixmaps/Mew
%{_bindir}/*
%{_datadir}/pixmaps/Mew/*
%{_infodir}/mew.info.gz
%{_infodir}/mew.jis.info.gz
%{_mandir}/man1/*

%files el
%defattr(-, root, root, -)
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.2.51-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Akira TAGOH <tagoh@redhat.com> - 6.2.51-3
- Fix FTBFS issue. (#511618)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.2.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Akira TAGOH <tagoh@redhat.com> - 6.2.51-1
- New upstream release.

* Wed Jan 28 2009 Akira TAGOH <tagoh@redhat.com> - 6.2.50-1
- New upstream release.

* Mon Jan 26 2009 Akira TAGOH <tagoh@redhat.com> - 6.2-4
- correct permissions for %%{_bindir}/*
- escape macro in changelog
- convert the spec file to utf-8.
- fix a warning on %%post and %%preun.

* Mon Jan 19 2009 Akira TAGOH <tagoh@redhat.com> - 6.2-3
- Add Obsoletes: mew-xemacs.

* Thu Jan 15 2009 Akira TAGOH <tagoh@redhat.com> - 6.2-2
- Add Provides: mew-common thing to emacs-mew.
- improve the spec file a bit.

* Wed Jan 14 2009 Akira TAGOH <tagoh@redhat.com> - 6.2-1
- New upstream release.
- upstream doesn't support xemacs anymore.
- make it as single package now.
- update summary.

* Fri Nov 21 2008 Akira TAGOH <tagoh@redhat.com> - 6.1.51-1
- New upstream release.

* Thu Sep  4 2008 Akira TAGOH <tagoh@redhat.com> - 6.1.50-1
- New upstream release.

* Fri Jun 13 2008 Akira TAGOH <tagoh@redhat.com> - 6.1-1
- New upstream release.

* Wed May 28 2008 Akira TAGOH <tagoh@redhat.com> - 6.1-0.1.rc1
- New upstream release.

* Wed May 14 2008 Akira TAGOH <tagoh@redhat.com> - 6.0.51-1
- New upstream release.

* Thu Apr 17 2008 Akira TAGOH <tagoh@redhat.com> - 6.0.50-1
- New upstream release.

* Wed Apr  2 2008 Akira TAGOH <tagoh@redhat.com> - 5.2.55-1
- New upstream release.

* Wed Mar 19 2008 Akira TAGOH <tagoh@redhat.com> - 5.2.54-1
- New upstream release.

* Thu Feb 14 2008 Akira TAGOH <tagoh@redhat.com> - 5.2.53-1
- New upstream release.

* Tue Feb 12 2008 Akira TAGOH <tagoh@redhat.com> - 5.2.52-2
- Rebuild for gcc-4.3.

* Tue Jan  8 2008 Akira TAGOH <tagoh@redhat.com>
- Use evince instead of xpdf for displaying a pdf file.

* Wed Dec  5 2007 Akira TAGOH <tagoh@redhat.com> - 5.2.52-1
- New upstream release.

* Wed Oct 31 2007 Akira TAGOH <tagoh@redhat.com> - 5.2.51-1
- New upstream release.

* Thu Aug 23 2007 Akira TAGOH <tagoh@redhat.com> - 5.2.50-3
- Rebuild

* Mon Aug 13 2007 Akira TAGOH <tagoh@redhat.com> - 5.2.50-2
- Fix an open-missing-mode error.

* Thu Aug  9 2007 Akira TAGOH <tagoh@redhat.com>
- Update License tag.

* Fri Jul 27 2007 Akira TAGOH <tagoh@redhat.com> - 5.2.50-1
- New upstream release.

* Fri Mar  9 2007 Akira TAGOH <tagoh@redhat.com> - 5.2-3
- Rebuild

* Fri Feb  9 2007 Akira TAGOH <tagoh@redhat.com> - 5.2-2
- Remove all MIME handler definitions in mew-init.el so that it's no longer needed.

* Wed Feb  7 2007 Akira TAGOH <tagoh@redhat.com> - 5.2-1
- New upstream release.

* Tue Dec 19 2006 Akira TAGOh <tagoh@redhat.com> - 5.1-3
- makes it failsafe to run install-info. (#219402)

* Mon Sep 11 2006 Akira TAGOH <tagoh@redhat.com> - 5.1-2
- rebuilt
- add xemacs-packages-extra to BR and R.

* Wed Jul 19 2006 Akira TAGOH <tagoh@redhat.com> - 5.1-1
- New upstream release.
- mew-2.2-makefile.patch: removed.
- clean up the spec file a bit.
- mew-init.el: updated for the OpenDocument's MIME types.

* Thu Mar  2 2006 Akira TAGOH <tagoh@redhat.com> - 4.2-2
- rebuilt.

* Mon May 30 2005 Akira TAGOH <tagoh@redhat.com> - 4.2-1
- Updates to 4.2.
- import into Extras.

* Mon Nov 22 2004 Akira TAGOH <tagoh@redhat.com> - 4.1-1
- New upstream release.
  - improved IMAP support.
  - added the spam filter hook.
- mew-init.el: added the proper location for stunnel.

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 3.3-4
- require emacs-common instead of emacs.
- require xemacs-common instead of xemacs.

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 3.3-3
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep 02 2003 Akira TAGOH <tagoh@redhat.com> 3.3-1
- New upstream release.
- moved the install path to xemacs-packages.

* Fri Jun 27 2003 Akira TAGOH <tagoh@redhat.com> 3.2-5
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  9 2003 Akira TAGOH <tagoh@redhat.com> 3.2-3
- mew-init.el: add some MIME type for OpenOffice.org

* Thu Apr 03 2003 Akira TAGOH <tagoh@redhat.com> 3.2-2
- mew-init.el: use OpenOffice.org for MS documents.
- removed im. it's no longer used from Mew. (#85167)
- don't excludearch.

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 3.2-1
- New upstream release.
- mew-3.1-installinfo.patch: removed.

* Tue Feb  4 2003 Akira TAGOH <tagoh@redhat.com> 3.1-8
- build on x86_64 and ppc.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Akira TAGOH <tagoh@redhat.com> 3.1-6
- according to xemacs 21.4.11, moved the install path for elisp.
- add ExcludeArch alpha ia64 ppc. right now our xemacs doesn't support these arch.

* Mon Dec 16 2002 Akira TAGOH <tagoh@redhat.com> 3.1-5
- updates to im-143.

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 3.1-4
- don't use rpms internal dep generator

* Mon Dec  9 2002 Akira TAGOH <tagoh@redhat.com> 3.1-3
- updates to im-142
- im-141-securityfix.patch: removed.

* Fri Dec  6 2002 Akira TAGOH <tagoh@redhat.com> 3.1-2
- updates to im-141
- im-141-securityfix.patch: applied to fix a locally security issue.

* Wed Dec  4 2002 Akira TAGOH <tagoh@redhat.com> 3.1-1
- New upstream release.
- mew-3.1-installinfo.patch: applied to install mew.info-4.
- fix some missing files.
- use installvendorlib instead of installsitelib.
- ExcludeArch x86_64 until fix load-path issue on xemacs.

* Mon Jun 24 2002 Akira TAGOH <tagoh@redhat.com> 2.2-5
- fix the description. (Bug#65556)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-2
- disable alpha because nothing is xemacs for alpha now.
- enable ia64.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-1
- New upstream release.
- mew-2.2-makefile.patch: updates.

* Wed Jan 30 2002 Akira TAGOH <tagoh@redhat.com> 2.1-3
- merged im.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov  1 2001 Akira TAGOH <tagoh@redhat.com> 2.1-1
- New upstream release.

* Mon Oct 15 2001 Akira TAGOH <tagoh@redhat.com> 2.0-1
- New upstream release.
- Replaced the appropriate rpmmacros.
- Added package for xemacs.
- Split the common files of emacs and xemacs.

* Wed Oct  3 2001 Trond Eivind Glomsrød <teg@redhat.com> 1.94.2-12
- Fix broken %%post script ("oops!" is not a binary)
- s/Copyright/License/
- Don't define version and release on top of the file, and then use these to set
  the header values. Once is enough.

* Tue Oct  2 2001 Jens Petersen <petersen@redhat.com>  1.94.2-11
- put localhost in mew-mail-domain-list (mew-init.el) to avoid startup error

* Fri Sep  7 2001 SATO Satoru <ssato@redhat.com>  1.94.2-10
- added the line for the missing files in %%files (#54235)

* Wed Jul 17 2001 SATO Satoru <ssato@redhat.com>  1.94.2-9
- s/Emacs\=emacs/Emacs\=\/usr\/bin\/emacs/

* Mon Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix the group (close #47279)
- BuildPrereq: emacs >= %%{emacsver}
- BuildRequires: emacs >= %%{emacsver}

* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- this is *not* a noarch package

* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com>
- rebuild (mew-*.tar.bz was corrupted)
- modified mew-init.el

* Tue Jun  5 2001 SATO Satoru <ssato@redhat.com>
- remove the Japanese messages
- fix Copyright term.
- clean up SPEC
- add mew-init.el
- BuildArch: noarch
- shorten lengthy description
- build for 7.2

* Tue Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- fix License Term.
- adopt FHS
- built on RedHat 7.0

* Wed Jun  7 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- fix description: mess up with mule/emacs/xemacs...
- added BuildRequires and Conflicts

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- updated 1.94.2

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- added PreReq: /sbin/install-info
- attrib +x for /usr/bin/uumerge
- CFLAGS="$RPM_OPT_FLAGS"

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-2
 - changed destination to /usr/share/emacs/site-lisp/mew

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-1
 - updated in sync with 1.94.1 release
 - fixed %%post and %%preun section
 - Obsoletes: mew now changed to Obsoletes: mew-mule

* Fri Oct  8 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - fixed info path & install info
 - fixed '%%description'

* Sat Oct  2 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - removed extra packages
 - fixed char-set "euc" of the spec file.
 - slight modifications for Vine-1.9

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 1.94-3
  - package name changed from mew-emacs to mew
  - make info, make jinfo now processed even under emacs

* Thu Sep 16 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- Released as version "1.94-2".

Changed from "mew-emacs 1.94-1".
- Deleted "NoSource: 0", the definition part of data. 
- Revised some, the definition part of data. 
- Revised some, part of "%%post, %%postun".
- Changerd "%%postun" => "%%preun".

* Mon Sep  6 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- First release.
